#ifndef YASERVER_SERVERSOCKET_H_
#define YASERVER_SERVERSOCKET_H_

class CYAServerDlg;
// CServerSockert ÃüÁîÄ¿±ê

class CServerSockert : public CAsyncSocket
{
	DECLARE_DYNAMIC(CServerSockert);
private:
	CServerSockert(const CServerSockert& rSrc);
	void operator=(const CServerSockert& rSrc);

public:
	CServerSockert(CYAServerDlg* pDlg);
	virtual ~CServerSockert();

	CYAServerDlg* m_pDlg;
protected:
	virtual void OnAccept(int nErrorCode);

};

#endif //YASERVER_SERVERSOCKET_H_